
function tabFindClick() {
  document.getElementById('find').focus();
  document.getElementById('find').select();
}

function doFind() {
  document.getElementById('find').focus();
  var q = document.getElementById('find').value;
  var results = [];
  if (q) {
    results = doFindNodes(q.toLowerCase());
  }
  var resultsContainer = document.getElementById('findResults');
  while (resultsContainer.firstChild) {
    resultsContainer.removeChild(resultsContainer.firstChild);
  }
  if (results.length == 0) {
    document.getElementById('findNoResults').style.display = "block";
    resultsContainer.style.display = "none";
  } else {
    document.getElementById('findNoResults').style.display = "none";
    resultsContainer.style.display = "block";
    var number, node, name;
    for (var x = 0; x < results.length; x++) {
      number = results[x].getAttribute('ID').replace('obj', '#');
      node = treeGetOrCreateObject(number, "find");
      name = parent.parent.getXmlNameFromNode(results[x]);
      node.firstChild.title = name + " (" + number + ")";
      treeAttachChildToParent(node, resultsContainer);
    }
    renderQueueSoon();
  }
}

function doFindNodes(q) {  
  results = [];
  var number = q.match(/^ *#([0-9]+) *$/);
  if (number && number.length == 2) {
    // Look for one specific object.
    number = "obj" + number[1];
    var node = parent.parent.getXmlNodeById(number);
    if (node) {
      results.push(node);
    }
  } else {
    // Look through every object in the database for a matching name.
    var objectList = parent.parent.XmlDoc.getElementsByTagName("OBJECT");
    var objectListLength = objectList.length;
    var name;
    for (var x = 0; x < objectListLength; x++) {
      name = parent.parent.getXmlNameFromNode(objectList[x]);
      name = name.toLowerCase();
      if (name.indexOf(q) != -1) {
        results.push(objectList[x]);
      }
    }
  }
  return results;
}
