
editAreaLoader.load_syntax["perl"] = {
	'DISPLAY_NAME' : 'Perl',
	'COMMENT_SINGLE' : {},
	'QUOTEMARKS' : {1: '"'},
	'KEYWORD_CASE_SENSITIVE' : true,
	'KEYWORDS' :
	{
		'core' :
			[ "if", "else","elseif","endif","while","endwhile","for","endfor","return","pass" ],
		'functions' :
			[
				//from :base_core
				"INT", "FLOAT", "OBJ", "STR", "LIST", "ERR", "player",  "this", "caller", "verb",
			"args", "argstr", "dobj", "dobjstr", "prepstr", "iobj", "iobjstr", "NUM","abs", "acos", "add_property", "add_verb", "asin", "atan", "binary_hash",
	"boot_player", "buffered_output_length", "call_function", "caller_perms",
	"callers", "ceil", "children", "chparent", "clear_property", "connected_players",
	"connected_seconds", "connection_name", "connection_option",
	"connection_options", "cos", "cosh", "create", "crypt", "ctime", "db_disk_size",
	"decode_binary", "delete_property", "delete_verb", "disassemble",
	"dump_database", "encode_binary", "equal", "eval", "exp", "floatstr", "floor",
	"flush_input", "force_input", "function_info", "idle_seconds", "index",
	"is_clear_property", "is_member", "is_player", "kill_task", "length",
	"listappend", "listdelete", "listen", "listeners", "listinsert", "listset",
	"log", "log10", "match", "max", "max_object", "memory_usage", "min", "move", "notify",
	"object_bytes", "open_network_connection", "output_delimiters",
	"parent", "pass", "players", "properties", "property_info", "queue_info",
	"queued_tasks", "raise", "random", "read", "recycle", "renumber", "reset,_max_object",
	"resume", "rindex", "rmatch", "seconds_left", "server_log", "server_version",
	"set_connection_option", "set_player_flag", "set_property_info",
	"set_task_perms", "set_verb_args", "set_verb_code", "set_verb_info",
	"setadd", "setremove", "shutdown", "sin", "sinh", "sqrt", "strcmp", "string_hash",
	"strsub", "substitute", "suspend", "tan", "tanh", "task_id", "task_stack",
	"ticks_left", "time", "tofloat", "toint", "toliteral", "tonum", "toobj", "tostr",
	"trunc", "typeof", "unlisten", "valid", "value_bytes", "value_hash", "verb_args",
	"verb_code", "verb_info", "verbs",
				//from :base_mem
				"concat", "repeat", "join", "range",
				//none from :base_loop, as we'll see them as basic statements...
				//from :base_orig
				"sprintf", "crypt", "tie", "untie", "select", "localtime", "gmtime",
				//others
				"print", "open", "close"
			]
	},
	'OPERATORS' :
		[ '+', '-', '/', '*', '=', '<', '>', '!', '||', '.', '&&',
			' eq ', ' ne ', '=~' ],
	'DELIMITERS' :
		[ '(', ')', '[', ']', '{', '}' ],
	'REGEXPS' :
	{
		'packagedecl' : { 'search': '(package )([^ \r\n\t#;]*)()',
			'class' : 'scopingnames',
			'modifiers' : 'g', 'execute' : 'before' },
		'subdecl' : { 'search': '(sub )([^ \r\n\t#]*)()',
			'class' : 'scopingnames',
			'modifiers' : 'g', 'execute' : 'before' },
		'scalars' : { 'search': '()(\\\$[a-zA-Z0-9_:]*)()',
			'class' : 'vars',
			'modifiers' : 'g', 'execute' : 'after' },
		'arrays' : { 'search': '()(@[a-zA-Z0-9_:]*)()',
			'class' : 'vars',
			'modifiers' : 'g', 'execute' : 'after' },
		'hashs' : { 'search': '()(%[a-zA-Z0-9_:]*)()',
			'class' : 'vars',
			'modifiers' : 'g', 'execute' : 'after' },
	},

	'STYLES' :
	{
		'COMMENTS': 'color: #AAAAAA;',
		'QUOTESMARKS': 'color: #DC0000;',
		'KEYWORDS' :
		{
			'core' : 'color: #8aca00;',
			'functions' : 'color: #2B60FF;'
		},
		'OPERATORS' : 'color: #8aca00;',
		'DELIMITERS' : 'color: #0038E1;',
		'REGEXPS':
		{
			'scopingnames' : 'color: #ff0000;',
			'vars' : 'color: #00aaaa;',
		}
	} //'STYLES'
};
